export declare class PnProgressBar {
    uniqueId: string;
    idProgress: string;
    idLabel: string;
    idText: string;
    hostElement: HTMLElement;
    progressPercentage: string;
    /** Set a label for the progress bar */
    label?: string;
    /** Progress value, 0-100 */
    progress: number;
    /** Replaces the default progress percentage text */
    progressText?: string;
    /** Text shown on success (100%)  */
    successText?: string;
    /** Trigger an error and display a message */
    error?: string;
    /** A unique HTML id fror the progress bar */
    progressId: string;
    setProgress(): void;
    componentWillLoad(): void;
    hasLabel(): boolean;
    hasText(): boolean;
    hasError(): boolean;
    isValid(): boolean;
    hasIcon(): boolean;
    getSubtext(): string;
    getIconSvg(): string;
    getIconColor(): "warning" | "green500";
    render(): any;
}
